FullTextIndexManagementService
Date: 2012-06-28

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.indexmanagement.fulltextindexmanagement
Class FullTextIndexManagementService

    java.lang.Object
      org.gcube.indexmanagement.fulltextindexmanagement.FullTextIndexManagementService

    public class FullTextIndexManagementService

extends java.lang.Object

The FullTextManagementService implements functionality needed to initiate and manage a FullText index. There is only one FullTextIndexManagementService instance per FullText index, and a service instance can be seen as a logical representation of the index it initiates and manages. Any number of FullTextIndexUpdaterService instances and FullTextIndexLookupService instances can be connected to a single FullTextIndexManagementService instance.

Version:
  0.1

Constructor Summary
`FullTextIndexManagementService()` Constructor - sets up some variables and creates a logging instance

Method Summary
`VOID` | `addCollections(StringArray collectionIDs)` Adds a String id to the collectionID resource property
`VOID` | `addFields(StringArray fields)` Adds a String field to the Fields resource property
`GetIndexInformationResponse` | `getIndexInformation(VOID request)` Retrieves a set of important characteristics for a FullTextIndexManagement WS resource
`java.lang.String` | `getIndexTypeDocument(java.lang.String indexTypeID)` Returns the IndexType identified by the specified IndexTypeID
`java.lang.String` | `getIndexTypeID(VOID empty)` Gets the IndexType of a FullTextIndexManagement WS resource
`VOID` | `setIndexTypeID(java.lang.String indexTypeID)` Sets the IndexType ID of a FullTextIndexManagement WS resource

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FullTextIndexManagementService

    public FullTextIndexManagementService()

  Constructor - sets up some variables and creates a logging instance

Method Detail

### addCollections

    public VOID addCollections(StringArray collectionIDs)
                        throws GCUBEFault

  Adds a String id to the collectionID resource property

  Parameters:
    `collectionID` - `String` -the ID to be added
  Returns:
    `AddCollectionsResponse` - empty instance
  Throws:
    `GCUBEFault`

### addFields

    public VOID addFields(StringArray fields)
                   throws GCUBEFault

  Adds a String field to the Fields resource property

  Parameters:
    `fields` - `String[]` -the fields to be added
  Returns:
    `AddFieldsResponse` - empty instance
  Throws:
    `GCUBEFault`

### setIndexTypeID

    public VOID setIndexTypeID(java.lang.String indexTypeID)
                        throws GCUBEFault

  Sets the IndexType ID of a FullTextIndexManagement WS resource

  Parameters:
    `xml` - `String` - XML representation of the new IndexType
  Returns:
    `SetIndexTypeResponse` - empty instance
  Throws:
    `GCUBEFault`

### getIndexTypeID

    public java.lang.String getIndexTypeID(VOID empty)
                                    throws GCUBEFault

  Gets the IndexType of a FullTextIndexManagement WS resource

  Parameters:
    `empty` - `GetIndexType` - empty instance
  Returns:
    `String` - XML representation of the requested IndexType
  Throws:
    `GCUBEFault`

### getIndexInformation

    public GetIndexInformationResponse getIndexInformation(VOID request)
                                                    throws GCUBEFault

  Retrieves a set of important characteristics for a FullTextIndexManagement WS resource

  Parameters:
    `empty` - `GetIndexInformation` - empty instance
  Returns:
    `GetIndexInformationResponse` - an object containing the resource's Index ID, Collection ID, Fields Info, Index Format, Index Type ID, XML representation of the Index Type, and the Indexes content type.
  Throws:
    `GCUBEFault`

### getIndexTypeDocument

    public java.lang.String getIndexTypeDocument(java.lang.String indexTypeID)
                                          throws GCUBEFault

  Returns the IndexType identified by the specified IndexTypeID

  Parameters:
    `indexTypeID` - `String` the ID of the IndexType to return
  Returns:
    `String` XML representation of the requested IndexType
  Throws:
    `GCUBEFault`

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD